Subject: Re: [EAI] IDN domains and EAI (

From: Shawn Steele <[email-masked]>
Date: Thu, 8 May 2014 19:13:08 +0000

> If we're going to get a name service that supports UTF-8 labels directly (presumably with a bunch of normalization rules &c.), then it's going to be in DNSng.

> I am prepared to have that conversation, but it's not something to have in passing when talking about EAI.

Totally, but it impacts this conversation because we shouldn't presume that A-labels are something we must always live with.  If it's even a possibility that some future DNSng work would be Unicode aware, we shouldn't build in unnecessary dependencies in unrelated things like EAI.  That would just make it harder to detangle later.

> Finally, given that EAI has been slow to standardize and deploy, and
> given how these things tend to work, I believe the safest course of action
> is to assume leakage of a-labels into email addresses and act accordingly.

Definitely, I'm just trying to make sure it's understood that such leakage isn't desirable, merely unfortunate.

> based on RFC6531, RFC5321 and RFC5890, "mail from:<[email-masked]>" should be legal.

Legal I think, but it should be strongly discouraged for SMTPUTF8

> if that is ok, the implementors can convert the a-label into u-label instead of forbidding it.

I think the a form should be discouraged, however it I were writing the app I'd probably convert them if I saw them.  I don't think that either end should assume the other end is going to convert them though, and that servers/clients should assume that the other end is going to fail with a-labels when SMTPUTF8 is presented.

In other words I think everyone should assume then need to send a "clean" UTF-8 stream without any of the legacy baggage.

-Shawn